aboutsummaryrefslogtreecommitdiffstats
path: root/main/mutt/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-04-18 17:37:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-04-18 18:06:05 +0000
commitf3f53bfbd99b8a983cb939cf55ad416b90ce3264 (patch)
tree9cd3bf5ac21940d74603e8227bfe1599b2ec4a1a /main/mutt/APKBUILD
parent67f24789ab506e4bd7db6e495be62a38e41163c4 (diff)
downloadaports-f3f53bfbd99b8a983cb939cf55ad416b90ce3264.tar.gz
aports-f3f53bfbd99b8a983cb939cf55ad416b90ce3264.tar.bz2
aports-f3f53bfbd99b8a983cb939cf55ad416b90ce3264.tar.xz
main/mutt: upgrade to 1.5.21 and fixup default config
Diffstat (limited to 'main/mutt/APKBUILD')
-rw-r--r--main/mutt/APKBUILD31
1 files changed, 25 insertions, 6 deletions
diff --git a/main/mutt/APKBUILD b/main/mutt/APKBUILD
index 69ab253a4e..0104c9f688 100644
--- a/main/mutt/APKBUILD
+++ b/main/mutt/APKBUILD
@@ -1,17 +1,18 @@
# Contributor: Andrew Manison<amanison@anselsystems.com>
# Maintainer: Andrew Manison<amanison@anselsystems.com>
pkgname=mutt
-pkgver=1.4.2.3
-pkgrel=5
+pkgver=1.5.21
+pkgrel=0
pkgdesc="a small but very powerful text-mode email client"
url="http://www.mutt.org"
arch="all"
license="GPL"
depends=
-makedepends="openssl-dev ncurses-dev libiconv-dev gettext-dev"
+makedepends="cyrus-sasl-dev db-dev gettext-dev gpgme-dev libiconv-dev
+ libidn-dev ncurses-dev openssl-dev perl"
install=
subpackages="$pkgname-doc $pkgname-lang"
-source="ftp://ftp.mutt.org/$pkgname/$pkgname-$pkgver.tar.gz"
+source="ftp://ftp.mutt.org/pub/mutt/devel/mutt-$pkgver.tar.gz"
_builddir="$srcdir"/$pkgname-$pkgver
@@ -22,6 +23,7 @@ prepare() {
build() {
cd "$_builddir"
+ ISPELL=/usr/bin/hunspell \
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
@@ -29,17 +31,34 @@ build() {
--enable-imap \
--enable-pop \
--enable-smtp \
+ --enable-hcache \
+ --enable-gpgme \
--with-curses \
--with-mailpath=/var/spool/mail \
--with-docdir=/usr/share/doc/mutt \
--without-included-gettext \
- --with-ssl
+ --with-ssl \
+ --with-sasl \
+ || return 1
make || return 1
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install
+
+ rm "$pkgdir"/etc/*.dist \
+ "$pkgdir"/etc/mime.types \
+ "$pkgdir"/usr/bin/muttbug \
+ "$pkgdir"/usr/bin/flea \
+ || return 1
+
+ # fix up default config
+ cat contrib/gpg.rc >> "$pkgdir"/etc/Muttrc
+ grep -C 5 "^color" contrib/sample.muttrc >> "$pkgdir"/etc/Muttrc
+ echo "source /etc/Muttrc.local" >> "$pkgdir"/etc/Muttrc
+ echo "# Local configuration for Mutt." > "$pkgdir"/etc/Muttrc.local
+
}
-md5sums="dcb94661827dd090fa813e73e122ea0c mutt-1.4.2.3.tar.gz"
+md5sums="a29db8f1d51e2f10c070bf88e8a553fd mutt-1.5.21.tar.gz"